<?php
namespace HCM\AVL\Services;

use HCM\AVL\Repository\TipoAvaliacaoRepository;
use Doctrine\ORM\EntityManager;
use HCM\Util\Messages;
use HCM\AVL\Services\Repositories;

class TipoAvaliacaoService {
    protected $tipoavaliacaoRepository;

    public function __construct(EntityManager $entityManager, TipoAvaliacaoRepository $tipoAvaliacaoRepository) {
        $this->entityManager = $entityManager;
        $this->tipoAvaliacaoRepository = $tipoAvaliacaoRepository;
    }
    
     public function validaQuestaoTipoAvaliacao($dataset) {
        $nrTipoAvaliacao = $dataset["NRTIPOAVALIACAO"];
        $questaoTipoAvaliacao = $this->tipoAvaliacaoRepository->getQuestaoTipoAvaliacao($dataset['NRORG'], $nrTipoAvaliacao,$dataset['NRQUESTAO']);
        if (empty($questaoTipoAvaliacao)) {
            return true;
        }
        else {
            return false;
        }
    }
    
    public function getQuestoesTipoAvaliacao ($dataset){
        $questoes = $this->tipoAvaliacaoRepository->getQuestoesTipoAvaliacao($dataset['NRORG'], $dataset["NRTIPOAVALIACAO"]);
        if($questoes){
            return $questoes;
        }else{
            return false;
        }
    }
}