<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class RegistroL990 extends Registro0000 {

    private $_qtdlinhas = 2; //Quantidade total de linhas do Bloco I. A quantidade total de linhas no bloco I deverá levar em consideração todos os registros entre o L001 e o L990, inclusive

    public function geraRegistroL990(){
        $this->_geraRegistro(self::REGISTRO_L990);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_qtdlinhas, true);
    }
    
    public function setQtdLinhas($qtdlinhas){
        $this->_qtdlinhas = $qtdlinhas;
    }
}