<?php

namespace HCM\Geral\Logic\Apolo;

use HCM\Util\DateUtil;
use Zeedhi\Queue\Connection;

class ProducerTransmissaoEsocial extends \Zeedhi\Queue\Producer{

    protected static $queueName = "/queue/esocial_transmissao";

    public function __construct(Connection $connection) {
        parent::__construct($connection);
    }
    
    
    public function sendLoteTransmissao($params)
    {
        $dtatual = DateUtil::getDataAtual();
        $horaDisparo = $dtatual->format('YmdHis');
        
        $params['hora'] = $horaDisparo;
        
        $message = json_encode($params);

        $this->send($message);
    }
}