--CONTA QUANTIDADE CONTRATOS POR TIPO --=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--Tabelas: RHCONTRATOS, RHPESSOAS, RHBANCOS
--Leiaute 4 - Vinculos
--V1 - 17/10/2023
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-


SELECT COUNT(1) TOTAL
                FROM RHCONTRATOS 
                JOIN RHPESSOAS
                  ON RHPESSOAS.PESSOA  = RHCONTRATOS.PESSOA
                 AND RHPESSOAS.EMPRESA = RHCONTRATOS.EMPRESA
                LEFT JOIN RHBANCOS
                  ON RHBANCOS.BANCO = RHCONTRATOS.BANCOCREDOR
               WHERE 1 = 1 
               ORDER BY CONTRATO, UNIDADE;







--IMPORTA LEIAUTES UNIFICADOS --=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
--Tabelas: RHCONTRATOS, RHPESSOAS, RHBANCOS
--Leiaute 4 - Vinculos
--V1 - 17/10/2023
--@todo: 
--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

SELECT

to_char(rhcontratos.dataadmissao,'DD/MM/YYYY')                                  AS "Data Admisso",

to_char(rhcontratos.datarescisao,'DD/MM/YYYY')                                  AS "Data Resciso",

rhcontratos.empresa||'_'||contrato                                              AS "Nr. Vnculo",

case when rhcontratos.datarescisao is null then '1' else '13' end               AS "Situ. Funcional",

CASE    WHEN ESCALA='002' THEN '9002'
        WHEN ESCALA='046' THEN '9046'
        WHEN ESCALA IS NULL THEN '16'
        ELSE ltrim(ESCALA,0)
END                                                                             AS "Escala Trabalho",

'01/01/2000'                                                                    AS "Ms Competncia",

'NUNCA'                                                                         AS "Contribuiao Sind.",

upper(rhpessoas.nomecompleto)                                                   AS "Nome Completo", /*verificar qual  melhor nome ou nome completo*/

decode(rhpessoas.estadocivil,   '01', 'S', 
                                '02', 'C',
                                '03', 'V', 
                                '04', 'I', 
                                '05', 'I', 
                                '06', 'O', 
                                '07', 'O')                                      AS "Estado Civil",
           
LPAD (rhpessoas.cpf,'11','0')                                                   AS "CPF",

rhpessoas.nrocarttrab                                                           AS "CTPS",
rhpessoas.seriecarttrab                                                         AS "Srie CTPS",
rhpessoas.ufcarttrab                                                            AS "UF CTPS",
TO_CHAR(rhpessoas.datacarttrab,'DD/MM/YYYY')                                    AS "Emissao CTPS",

rhpessoas.pis                                                                   AS "PIS PASEP",
TO_CHAR(rhpessoas.datapis,'DD/MM/YYYY')                                         AS "Data de Cad PIS",

rhpessoas.identidade                                                            AS "RG",
rhpessoas.orgaoemissor                                                          AS "orgao emissor RG",
rhpessoas.ufidentidade                                                          AS "uf RG",
TO_CHAR(rhpessoas.dataidentidade,'DD/MM/YYYY')                                  AS "Data de emisso RG",

rhpessoas.tituloeleitoral                                                       AS "Ttulo de eleitor",
rhpessoas.secaoeleitoral                                                        AS "Seo de Votaco",
rhpessoas.zonaeleitoral                                                         AS "Zona de Votao",

rhpessoas.registrohabilitacao                                                   AS "CNH",
TO_CHAR(rhpessoas.validadehabilitacao,'DD/MM/YYYY')                             AS "vencimento CNH",
rhpessoas.categoriahabilitacao                                                  AS "TIPO CNH",

rhpessoas.reservista                                                            AS "certif reservista",
''                                                                              AS "Categoria Militar",

decode(rhpessoas.racacor,   '1', '1', 
                            '2', '2',
                            '4', '3', 
                            '6', '4', 
                            '8', '5', 
                            '9', '6', 
                                '6')                                            AS "RACA",

decode(rhpessoas.paisnascimento, '105', '0055')	                                AS "pais",  
rhpessoas.ufnascimento	                                                        AS "estado",
decode (rhpessoas.localnascimento, '0','',	rhpessoas.localnascimento)          AS "Naturalidade",
TO_CHAR(rhpessoas.nascimento,'DD/MM/YYYY')                                      AS "Data de Nascimento",

rhpessoas.sexo	                                                                AS "sexo",

decode(vinculoempregaticio, '09',   'AUTONOMO', 
                            '13',   'ESTAGIO',
                                    'SAL1')                                     AS "Tipo Remunerao",
--bancocredor,    
rhbancos.nrobanco	                                                            AS "Banco",
REPLACE(REPLACE(REPLACE(rhbancos.agencia,'-',''),'Ag',''),'.','')	            AS "Agncia",
contacorrente	                                                                AS "Conta Corrente",
'2'		                                                                        AS "Tp Conta Corrente",
case when rhpessoas.paisnacionalidade is null then '1'
     else decode(rhpessoas.paisnacionalidade,   '105', '1',
                                                '850', '10',
                                                '341', '1',
                                    'DEPARAR '||rhpessoas.paisnacionalidade)	
end                                                                             AS "nacionalidade",
decode(tiposalario, '1', 'MENSAL', 
                    '2', 'QUINZENAL',
                    '3', 'SEMANAL', 
                    '4', 'DIARIO', 
                    '5', 'MENSAL_SALARIO_HORA', 
                    '6', 'TAREFA', 
                         'MENSAL')	                                            AS "Tp. Pagamento",
                         
'EST'||rhcontratos.estabelecimento                                              AS "Estrutura Trabalho",

'2CC'||rhcontratos.centrocusto2                                                 AS "Estrutura Gerencial",

decode(rhpessoas.paisresidencia, '105', '0055')                                 AS "pais_end",
rhpessoas.uf		                                                            AS "estado end",
REPLACE(rhpessoas.cidade, '''', '')                                             AS "municipio_end",
'RUA'		                                                                    AS "Logradouro",
rhpessoas.rua		                                                            AS "Endereo",
rhpessoas.nrorua		                                                        AS "numero",
rhpessoas.bairro		                                                        AS "Nome do Bairro",
rhpessoas.complemento		                                                    AS "Complemento",
replace(replace(rhpessoas.cep,'.',''),'-','')		                                                            AS "Cep",

decode(CATEGORIATRABALHADOR,    '101','1',
                                '103','1',
                                '105','1',
                                '106','1',
                                '302','1',
                                '701','10',
                                '712','10',
                                '901','2','1')                                  AS "Tipo Vnculo Mestre",
CASE WHEN rhcontratos.datarescisao IS NULL THEN '' 
        ELSE
            decode(causarescisaofolha,  '1', '1', 
                            '2', '2',
                            '3', '4', 
                            '4', '5', 
                            '5', '3', 
                            '6', '7', 
                            '7', '13',
                            '8', '10', 
                            '9', '26', '1')    
END                                                                             AS "Tipo de Demisso",
TO_CHAR(dataopcaofgts,'DD/MM/YYYY')		                                        AS "Data FGTS",
TO_CHAR(rhpessoas.dataaposentadoria,'DD/MM/YYYY')                               AS "Dt. Aposentadoria FGTS",
''		                                                                        AS "Data Primeira Admisso",
decode (cargo, 'Tpcnico','01337',cargo)	                                    AS "Ocupao",
'UNICO'		                                                                    AS "Mltiplos Vnculos",
''		                                                                        AS "Nr. Contrib. Individual",
''		                                                                        AS "Motivo da Resciso",
''		                                                                        AS "Observao Resciso",
TO_CHAR(dataavisoprevio,'DD/MM/YYYY')		                                                            AS "Data Aviso Prvio",
''		                                                                        AS "Tp. Mov. Transferncia",
''		                                                                        AS "Fim contr Determinado",
decode(vinculoempregaticio, '01', '2', 
                            '02', '11',
                            '03', '7', 
                            '04', '8', 
                            '05', '15', 
                            '06', '4', 
                            '07', '14',
                            '08', '14', 
                            '09', '21', 
                            '10', '21', 
                            '11', '22', 
                            '12', '19',
                            '13', '20', 
                            '14', '9', 
                            '15', '1', 
                            '16', '2', 
                            '17', '6',
                            '18', '2', 
                            '19', '2', 
                            '20', '2', 
                            '21', '1', 
                            '22', '21',
                            '26', '13', '2')  		                            AS "Vnculo Empregatcio",
''		                                                                        AS "Tipo Admisso",
TO_CHAR(rhcontratos.dataadmissao,'DD/MM/YYYY')		                                                AS "Dt. Base Frias",
'0'		                                                                        AS "Dependentes IR",
'0'		                                                                        AS "Dependentes Sal Fam",
'1'		                                                                        AS "Modalidade Salrio",
decode(rhpessoas.grauinstrucao, '01', '1', '02', '4',
                                '03', '4', '04', '4', 
                                '05', '5', '06', '6', 
                                '07', '7', '08', '8', 
                                '09', '9', '10', '10', 
                                '11', '10', '12', '12')		                    AS "Grau Instrucao",
CASE when rhcontratos.sindicato is null then ''
else 'SIN'||rhcontratos.sindicato	end                                         AS "Estrutura Sindical",
nrodiascontrato		                                                            AS "Dias Contr Exp.",
nrodiasprorrogacao		                                                        AS "Dias Contr Exp. Prorr",
TO_CHAR(dataexamemedico,'DD/MM/YYYY')		                                                            AS "Dt. Exame Mdico",

''		                                                                        AS "Dt. Aviso TRCT",
''		                                                                        AS "Tipo Sanguineo",
''		                                                                        AS "Fator RH",
REGISTROCONSELHO                                                        		AS "Inscrio Conselho",
case    when DEFICIENTEFISICO ='0' then '0'
        when DEFICIENTEFISICO ='1' then '1'
        when DEFICIENTEFISICO ='2' then '2'
        when DEFICIENTEFISICO ='3' then '3'
        when DEFICIENTEFISICO ='4' and DEFINTELECTUALESOCIAL='N' then '4'
        when DEFICIENTEFISICO ='4' and DEFINTELECTUALESOCIAL='S' then '5'
        when DEFICIENTEFISICO ='6' and DEFINTELECTUALESOCIAL='S' then '6'
END                                                                     		AS "Condio Fsica",
DDDCELULAR||' '||TELEFONECELULAR                                                AS "Telefone Principal",
unidade||'_'||contrato                                                          AS "Nr. Vnculo x Empresa",
causarescisaofolha                                                              AS "CAUSA RESCISAO",
CATEGORIATRABALHADOR                                                            AS "Categoria Trabalhador"

    

FROM
         rhcontratos
    JOIN rhpessoas ON rhpessoas.pessoa = rhcontratos.pessoa
                      AND rhpessoas.empresa = rhcontratos.empresa
    LEFT JOIN rhbancos ON rhbancos.banco = rhcontratos.bancocredor
WHERE
     --rhcontratos.datarescisao   is NOT null and
     (rhcontratos.causarescisaofolha<>6 or rhcontratos.causarescisaofolha is null )
     /*and rhcontratos.empresa||'_'||contrato IN ('0001_1252',
'0001_1363',
'0001_21',
'0001_27',
'0001_302',
'0001_303',
'0001_304',
'0001_305',
'0001_306',
'0001_307',
'0001_308',
'0001_309',
'0001_310',
'0001_312',
'0001_313',
'0001_314',
'0001_316',
'0001_318',
'0001_319',
'0001_321',
'0001_322',
'0001_323',
'0001_324',
'0001_326',
'0001_327',
'0001_328',
'0001_329',
'0001_330',
'0001_331',
'0001_333',
'0001_341',
'0001_349',
'0001_351',
'0001_352',
'0001_354',
'0001_362',
'0001_364',
'0001_366',
'0001_369',
'0001_370',
'0001_375',
'0001_376',
'0001_377',
'0001_378',
'0001_379',
'0001_380',
'0001_401',
'0001_402',
'0001_403',
'0001_404',
'0001_405',
'0001_408',
'0001_409',
'0001_410',
'0001_411',
'0001_413',
'0001_414',
'0001_415',
'0001_416',
'0001_417',
'0001_418',
'0001_420',
'0001_421',
'0001_424',
'0001_425',
'0001_426',
'0001_428',
'0001_429',
'0001_430',
'0001_431',
'0001_432',
'0001_437',
'0001_438',
'0001_439',
'0001_440',
'0001_441',
'0001_442',
'0001_443',
'0001_445',
'0001_446',
'0001_452',
'0001_453',
'0001_454',
'0001_456',
'0001_457',
'0001_458',
'0001_459',
'0001_462',
'0001_463',
'0001_464',
'0001_465',
'0001_466',
'0001_467',
'0001_469',
'0001_470',
'0001_550',
'0001_551',
'0001_552',
'0001_553',
'0001_554',
'0001_555',
'0001_557',
'0001_558',
'0001_559',
'0001_560',
'0001_561',
'0001_563',
'0001_564',
'0001_566',
'0001_567',
'0001_568',
'0001_569',
'0001_570',
'0001_571',
'0001_572',
'0001_573',
'0001_574',
'0001_575',
'0001_596',
'0001_866',
'0001_103',
'0001_113',
'0001_1171',
'0001_12874',
'0001_12875',
'0001_1305',
'0001_134',
'0001_1374',
'0001_1555',
'0001_2260',
'0001_241',
'0001_246',
'0001_2624',
'0001_270',
'0001_2758',
'0001_3149',
'0001_3354',
'0001_3391',
'0001_3415',
'0001_3498',
'0001_3524',
'0001_3578',
'0001_3867',
'0001_3874',
'0001_3892',
'0001_3933',
'0001_4049',
'0001_4060',
'0001_4148',
'0001_4259',
'0001_4542',
'0001_4701',
'0001_5061',
'0001_5225',
'0001_5420',
'0001_5504',
'0001_5551',
'0001_5608',
'0001_5707',
'0001_5726',
'0001_5733',
'0001_5847',
'0001_5855',
'0001_5889',
'0001_5938',
'0001_5942',
'0001_5949',
'0001_6175',
'0001_63',
'0001_6357',
'0001_64',
'0001_6414',
'0001_66',
'0001_67',
'0001_6727',
'0001_6851',
'0001_6885',
'0001_6897',
'0001_70',
'0001_7099',
'0001_7112',
'0001_7142',
'0001_72',
'0001_73',
'0001_7351',
'0001_74',
'0001_75',
'0001_7567',
'0001_801239',
'0001_806942',
'0001_809',
'0001_811',
'0001_816',
'0001_867',
'0001_900113',
'0001_9001305',
'0001_9001374',
'0001_9002260',
'0001_900241',
'0001_9002624',
'0001_9002758',
'0001_9003415',
'0001_9003498',
'0001_9003578',
'0001_9003892',
'0001_9004148',
'0001_9004643',
'0001_9004701',
'0001_9005225',
'0001_9005452',
'0001_9005504',
'0001_9005551',
'0001_9005670',
'0001_9005707',
'0001_9005733',
'0001_9005740',
'0001_9005847',
'0001_9005889',
'0001_9005892',
'0001_9005902',
'0001_9005911',
'0001_9005929',
'0001_9005938',
'0001_9005942',
'0001_9005946',
'0001_9005949',
'0001_9005954',
'0001_9005991',
'0001_9006019',
'0001_9006020',
'0001_9006023',
'0001_9006024',
'0001_9006025',
'0001_9006026',
'0001_9006028',
'0001_9006031',
'0001_9006032',
'0001_9006033',
'0001_9006034',
'0001_9006035',
'0001_9006038',
'0001_9006040',
'0001_9006041',
'0001_9006042',
'0001_9006043',
'0001_9006044',
'0001_9006046',
'0001_9006050',
'0001_9006053',
'0001_9006069',
'0001_9006075',
'0001_9006076',
'0001_9006078',
'0001_9006079',
'0001_9006081',
'0001_9006100',
'0001_9006102',
'0001_9006105',
'0001_9006106',
'0001_9006107',
'0001_9006109',
'0001_9006110',
'0001_9006111',
'0001_9006112',
'0001_9006113',
'0001_9006114',
'0001_9006115',
'0001_9006116',
'0001_9006117',
'0001_9006118',
'0001_9006119',
'0001_9006120',
'0001_9006122',
'0001_9006123',
'0001_9006124',
'0001_9006125',
'0001_9006127',
'0001_9006128',
'0001_9006129',
'0001_9006132',
'0001_9006134',
'0001_9006137',
'0001_9006139',
'0001_9006142',
'0001_9006143',
'0001_9006148',
'0001_9006149',
'0001_9006150',
'0001_9006151',
'0001_9006158',
'0001_9006159',
'0001_9006161',
'0001_9006162',
'0001_9006163',
'0001_9006164',
'0001_9006165',
'0001_9006170',
'0001_9006171',
'0001_9006174',
'0001_9006175',
'0001_9006177',
'0001_9006885',
'0001_9007048',
'0001_9007099',
'0001_9007881',
'0001_9007882',
'0001_9007884',
'0001_9007886',
'0001_9007887',
'0001_9007888',
'0001_9007889',
'0001_9007891',
'0001_9007896',
'0001_9007897',
'0001_9007899',
'0001_9007900',
'0001_9007901',
'0001_9007902',
'0001_9007903',
'0001_9007904',
'0001_9007905',
'0001_9007906',
'0001_9007909',
'0001_9007910',
'0001_9007911',
'0001_9007912',
'0001_9007913',
'0001_9007914',
'0001_9007915',
'0001_9007916',
'0001_9007917',
'0001_9007919',
'0001_9007920',
'0001_9007921',
'0001_9007923',
'0001_9007924',
'0001_9007925',
'0001_9007927',
'0001_9007928',
'0001_9007929',
'0001_9007930',
'0001_9007931',
'0001_9007932',
'0001_9007933',
'0001_9007934',
'0001_9007937',
'0001_9007938',
'0001_9007939',
'0001_9007940',
'0001_9007941',
'0001_9007942',
'0001_9007944',
'0001_9007945',
'0001_9007980',
'0001_9007987',
'0001_9008012',
'0001_9008015',
'0001_9008016',
'0001_900811',
'0001_900816',
'2001_14',
'2001_21',
'2001_27',
'2001_31')*/
     --  and rhpessoas.pessoa=100101
ORDER BY
    contrato,
    unidade;

--=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-


select count(*) from rhpessoas ;
select * from rhpessoas ;
desc rhcontratos;
desc rhpessoas;
select * from rhpessoas;

select distinct CATEGORIATRABALHADOR from rhcontratos;

select c.CENTROCUSTO1,
c.CENTROCUSTO2,
c.CENTROCUSTO3,
c.CENTROCUSTO4,
c.CODIGOUNICOCONTRATO,c.empresa,c.contrato, c.contratoanterior,c.causarescisaofolha,dataavisoprevio,datarescisao,c.datahistorico,p.pessoa,datacadastramento,dataadmissao from rhpessoas p inner join rhcontratos c on c.pessoa = p.pessoa and c.empresa = p.empresa 
--and datacadastramento<>dataadmissao
;
/*
select * from rhpessoas;
select count(*) from rhcontratos;    


    
    
    
    rhpessoas.empresa,
    unidade,
    rhcontratos.setor,
        
    rhpessoas.pessoa,
    rhpessoas.nome,
    
    decode(situacao, '3', '13', '4', '13',
           situacao)                                   situacao,
    causarescisaofolha,
    decode(causarescisaofolha, '1', '1', '2', '2',
           '3', '4', '4', '5', '5',
           '3', '6', '7', '7', '13',
           '8', '10', '9', '26', '1')                  causarescisaofolha,
  
    decode(tipoemprego, '6', '2', '7', '2',
           '8', '2', '9', '2', tipoemprego)            tipoemprego,
    
    
  
    'UNICO'                                            multiplosvinculos,
    '1'                                                modalidadesalario,
   
    decode(vinculoprevidencia, '8', '2', '3', '6',
           '1')                                        vinculoprevidencia,
    dataopcaofgts,
    decode(opcaosindical, '0', 'NUNCA', '1', 'DESCONTOU',
           '2', 'SEMPRE')                              opcaosindical,
    nrodiascontrato,
    terminoprorrogacao,
    nrodiasprorrogacao,
    
    dataexamemedico,
    
    
    decode(vinculoempregaticio, '01', '2', '02', '11',
           '03', '7', '04', '8', '05',
           '15', '06', '4', '07', '14',
           '08', '14', '09', '21', '10',
           '21', '11', '22', '12', '19',
           '13', '20', '14', '9', '15',
           '1', '16', '2', '17', '6',
           '18', '2', '19', '2', '20',
           '2', '21', '1', '22', '21',
           '26', '13', '2')                            vinculoempregaticio,
    funcao,
    rhpessoas.nascimento,

    rhpessoas.sexo,
    decode(rhpessoas.racacor, '1', '1', '2', '2',
           '4', '3', '6', '4', '8',
           '5', '9', '6')                              racacor,
    
    
    decode(rhpessoas.estadocivil, '01', 'S', '02', 'C',
           '03', 'V', '04', 'I', '05',
           'I', '06', 'O', '07', 'O')                  estadocivil,
    decode(rhpessoas.grauinstrucao, '01', '1', '02', '4',
           '03', '4', '04', '4', '05',
           '5', '06', '6', '07', '7',
           '08', '8', '09', '9', '10',
           '10', '11', '10', '12', '12')               grauinstrucao,
    decode(rhpessoas.paisnascimento, '105', '0055')    paisnascimento,
    
    decode(rhpessoas.paisresidencia, '105', '0055')    paisresidencia,
    
DEFICIENTEFISICO      ,
DEFMOTORAESOCIAL      ,
DEFVISUALESOCIAL      ,
DEFAUDITIVAESOCIAL    ,
DEFMENTALESOCIAL      ,
DEFINTELECTUALESOCIAL ,

    rhcontratos.sindicato
    
    */

