<?php

namespace HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros;

use HCM\FPA\ObrigacaoLegal\Manad\Blocos\Registros\Registro0000;

class Registro9990 extends Registro0000 {

    private $_qtdLin9 = 2; //Quantidade total de linhas do Bloco 9. Inicia com 2 linhas referente o próprio 9990 e 9999.

    public function geraRegistro9990(){
        $this->_geraRegistro(self::REGISTRO_9990);
    }

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoManad($tpRegistro);
        // Ordem 2
        $this->atribuiDadoManad($this->_qtdLin9, true);
    }
    
    public function setQtdLin9($qtdLin9){
        $this->_qtdLin9 += $qtdLin9;
    }
}