<?php

namespace HCM\PTO\Logic\AFD;

/**
 * Layout do AFD. Responsavel por gerenciar registros e gerar seus conteudos
 * 
 * 
 */

abstract class Layout extends Manipulador {
    /**
     * Responsavel por gerar o conteudo do layout a partir de registros especificos
     * @return string
     */
    public abstract function gerar(): string;
    
    /**
     * Responsavel por obter o conteudo dos registros para serem gerados no layout
     * @return array
     */
    public abstract function obtemConteudoRegistros(): array;
}